%global momorel 1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdeaccessibility
Version: %{kdever}
Release: %{momorel}m
Summary: K Desktop Environment - Accessibility
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2 18a949124ff7f5ba8c7e7d107d8ec794
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 18a949124ff7f5ba8c7e7d107d8ec794
Requires: qt >= %{qtver}, kdebase >= %{kdever}, kdelibs >= %{kdever}
BuildPrereq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, libpng >= 1.2.0
BuildPreReq: autoconf >= 2.56-3m 
BuildRequires: perl

%description
Included with this package are:
  kmag - a screen magnifier,
  kmousetool - a program for people whom it hurts to click the mouse,
  KMouth - a program that allows people who have lost their voice
           to let their computer speak for them.


%prep
%setup -q -n %{name}-%{version}

perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common

# make -f Makefile.cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}
%ifnarch alpha
CFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new"
%else
CFLAGS="-D_GNU_SOURCE -O3" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new"
%endif

export FLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-use-cxa-atexit"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-check-new"

if [ `gcc -dumpversion` = "3.3" ]; then
CFLAGS="$CFLAGS -fno-stack-protector"
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
fi

./configure \
   --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} \
    --enable-final

%make

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Make symlinks relative
pushd %{buildroot}/usr/share/doc/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f %{buildroot}/usr/share/doc/HTML/en/$i/common
      ln -sf ../common %{buildroot}/usr/share/doc/HTML/en/$i
   fi
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/HTML/en/*
%{_bindir}/*
%{_datadir}/applnk/Applications/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/icons/*/*/*/*

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0

